package GestureRecognition;

import be.ac.ulg.montefiore.run.jahmm.ObservationVector;

import java.util.Vector;

/**
 * User: mad - mad_bn@yahoo.com
 * Date: May 6, 2010
 * Time: 10:39:32 AM
 */
public class GestureEvent {
    private double xAcc = 0;
    private double yAcc = 0;
    private double zAcc = 0;
    private double[] data;

    public GestureEvent(double xAcc, double yAcc, double zAcc) {
        this.xAcc = xAcc;
        this.yAcc = yAcc;
        this.zAcc = zAcc;

        data = new double[3];
        data[0] = xAcc;
        data[1] = yAcc;
        data[2] = zAcc;
    }

    public double getXAcc() {
        return data[0];
    }

    public double getYAcc() {
        return data[1];
    }

    public double getZAcc() {
        return data[2];
    }

    public ObservationVector getObservationVector() {
        return new ObservationVector(data);
    }

    public GestureEvent(ObservationVector dataObs) {
        data = dataObs.values();
    }
    public double[] getAcceleration(){
        return data;
    }
    public String toString(){
        String str = "[";
        for (int i=0;i<data.length;i++)
            str+=data[i]+",";
        str+="]";
        return str;
    }
}
