package IO;

import be.ac.ulg.montefiore.run.jahmm.Hmm;
import be.ac.ulg.montefiore.run.jahmm.ObservationVector;
import be.ac.ulg.montefiore.run.jahmm.io.*;

import java.io.*;

/**
 * User: mad - mad_bn@yahoo.com
 * Date: May 5, 2010
 * Time: 4:57:11 PM
 */
public class IOHMMOperations {
    private static IOHMMOperations instance = null;

    private IOHMMOperations() {
    }

    public static IOHMMOperations Instance() {
        if (instance == null)
            instance = new IOHMMOperations();
        return instance;
    }

    public void writeHmm(Hmm hmm, OpdfWriter oWriter,String fileName) {
        try {
            Writer writer = new FileWriter(fileName);
            HmmWriter.write(writer, oWriter,hmm);
            writer.close();
        }
        catch (IOException io) {
            io.printStackTrace();
        }
    }
    public void writeHmmGesture(Hmm<ObservationVector>hmm,String fileName){
        OpdfWriter opW = new OpdfMultiGaussianWriter();
        writeHmm(hmm,opW,fileName);
    }
    public Hmm readHmm(OpdfReader oReader,String fileName){
        try{
            Reader reader = new FileReader(fileName);
            Hmm hmm = HmmReader.read(reader,oReader);
            reader.close();
            return hmm;
        }
        catch (IOException io) {
            io.printStackTrace();
            return null;
        }
        catch (FileFormatException fileFormat){
            fileFormat.printStackTrace();
            return null;
        }
    }
    public Hmm<ObservationVector> readHmmGesture(String fileName){
        OpdfReader oReader = new OpdfMultiGaussianReader();
        return readHmm(oReader,fileName);
    }
}
